#!/bin/bash
#Ubuntu init install
#sed -i 's/\r$//' init.sh 
#2017-05-20
#version 1.4
#V1.2:update add init lock
#V1.3:update jdkPath 2017-06-20 11:05:17
#V1.4:add export JRE_HOME 2017-06-26 16:17:08
#V1.41:add initreturn
#V1.5:add autostartup shell 2017-07-08 23:36:27
#V1.6:add network test 2017-07-24 10:55:21
#V1.7:add Version testing 2017年9月19日 16:03:15

IUSER="simba"

#check ubuntu
./sh/check_ubuntu.sh
if [ $? -ne 0 ];then echo "check ubuntu err!" ; exit 1; fi

#tools install
./sh/install_tools.sh
if [ $? -ne 0 ];then echo "tools install err!" ; exit 1; fi

#oracle JDK install
./sh/install_jdk.sh ${IUSER}
if [ $? -ne 0 ];then echo "JDK install err!" ; exit 1; fi

#add autostartup shell to home
./sh/add_shell.sh ${IUSER}
if [ $? -ne 0 ];then echo "add shell err!" ; exit 1; fi

#mysql install
./sh/install_mysql.sh
if [ $? -ne 0 ];then echo "mysql install err!" ; exit 1; fi

#SimbaAutomation
./sh/read_config.sh


rm -rf ${LOCK_NAME}
echo "##########################"
echo "#@                      @#"
echo "#      Install OK!       #"
echo "#@                      @#"
echo "##########################"
echo ""
sleep 1
echo "Please restart!"
echo ""
sleep 1
