#!/bin/bash
#Network test
echo "Network test"
ping -c 1 -W 1 ubuntu.com &>/dev/null
if [ $? -ne 0 ];then echo "Network err!" ; exit 1; fi
#User testing
if [ `whoami` != "root" ];then  
	echo "Is not the root user !"
	echo "Please switch the root user !"
	exit 1;
fi

#Version testing
echo "SYS_version test"
sysVer="`cat /etc/issue.net`"
nowVer="Ubuntu 16.04"
if [[  ${sysVer} =~ ${nowVer} ]];then
        echo "SYS_version ok"
else
        echo "SYS_version err"
	exit 1;
fi

if [ ! -f ./sh/rar/jdk.7z ] ;then
	echo "download jdk" 
	wget -P ./sh/rar/ http://simba.whhsn.cn:7374/init/doc/jdk.7z
fi

#File detection
if [ ! -f ./sh/rar/jdk.7z -o ! -f ./sh/doc/javahome -o ! -f ./sh/doc/whhsn.x -o ! -f ./sh/doc/whhsn.y ] ;then
		
		if [ ! -f ./sh/rar/jdk.7z ];then
			FA=" sh/rar/jdk \n"
		fi
		if [ ! -f ./sh/doc/javahome ];then
			FB=" sh/doc/javahome \n"
		fi		
		if [ ! -f ./sh/doc/whhsn.x ] ;then
			FC=" sh/doc/whhsn.x \n"
		fi
		if [ ! -f ./sh/doc/whhsn.y ] ;then
			FD=" sh/doc/whhsn.y \n"
		fi
		echo -e "file not found :\n${FA}${FB}${FC}${FD}"
		exit 1;
fi
