#!/bin/bash

IUSER=$1
jdkPath="/usr/lib/jvm"
mkdir -p ${jdkPath}
if [  -d ${jdkPath}/java ] ;then
	echo "Existing java path"
	exit 1;
else
	echo "Please Wait unzip"
	7z x ./sh/rar/jdk.7z -o${jdkPath} > /tmp/jdklog.log
	echo "unzip OK"
fi
BAPATH="/home/${IUSER}/.bashrc"
if [ -f ${BAPATH} -a ! -f  ${BAPATH}.bak ];then
	cp ${BAPATH} ${BAPATH}.bak
	cp ./sh/doc/javahome /tmp/javahome
	echo "##################" >> ${BAPATH}
	echo "# oracle jdk wangj" >> ${BAPATH}
	cat /tmp/javahome >> ${BAPATH}
	export JAVA_HOME=/usr/lib/jvm/java
	export JRE_HOME=${JAVA_HOME}/jre
	export CLASSPATH=.:${JAVA_HOME}/lib:${JRE_HOME}/lib
	export PATH=${JAVA_HOME}/bin:$PATH
else
	echo UserJdkPathExisting
	exit 1;
fi
chown ${IUSER}:${IUSER} ${BAPATH}